#

## updatedisplay

Force display update, or suspend/resume updates

### Usage:

> updatedisplay [suspend|resume]

### Summary:

> The updatedisplay command allows the display redraw to be suspended and resumed. The main situation where this is useful is inside a script or series of commands, where it is not desired to have the display refresh at each step. Areas needing to be redrawn will accumulate and be processed all at once when updatedisplay resume is called.

> Calls to updatedisplay suspend can be nested, so that the display will not update until the same number of calls to updatedisplay resume have been encountered.

> Without arguments, updatedisplay forces an immediate display redraw.

### Implementation Notes:

> updatedisplay is implemented as a built-in window command in magic.

### See Also:

> suspendall
> resumeall

Return to command index

Last updated: October 9, 2004 at 1:45am